Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.logging.log4j.core.appender.rolling
Interface RolloverDescription

All Known Implementing Classes:
  RolloverDescriptionImpl

    public interface RolloverDescription

Description of actions needed to complete rollover.

Method Summary
`String` | `getActiveFileName()` Active log file name after rollover.
`boolean` | `getAppend()` Specifies if active file should be opened for appending.
`Action` | `getAsynchronous()` Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously.
`Action` | `getSynchronous()` Action to be completed after close of current active log file before returning control to caller.

Method Detail

### getActiveFileName

    String getActiveFileName()

  Active log file name after rollover.

  Returns:
    active log file name after rollover.

### getAppend

    boolean getAppend()

  Specifies if active file should be opened for appending.

  Returns:
    if true, active file should be opened for appending.

### getSynchronous

    Action getSynchronous()

  Action to be completed after close of current active log file before returning control to caller.

  Returns:
    action, may be null.

### getAsynchronous

    Action getAsynchronous()

  Action to be completed after close of current active log file and before next rollover attempt, may be executed asynchronously.

  Returns:
    action, may be null.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2015 Apache Software Foundation. All Rights Reserved.
Apache Logging, Apache Log4j, Log4j, Apache, the Apache feather logo, the Apache Logging project logo, and the Apache Log4j logo are trademarks of The Apache Software Foundation.